This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 816264 - Review Request: fest-common - Fixtures for Easy Software Testing
Review Request: fest-common - Fixtures for Easy Software Testing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 816926 816927 816962 816967
  Show dependency treegraph
 
Reported: 2012-04-25 12:28 EDT by Mario Torre
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: fest-common-1.0.11-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 00:20:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
akurtako: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Torre 2012-04-25 12:28:13 EDT
This is my first package for Fedora, and I'm seeking for a sponsor.

This package is the first of a series in order to bring Fest to Fedora.

Spec URL: http://ladybug-studio.com/~neugens/downloads/fedora/fest/fest-common/fest-common.spec
SRPM URL: http://ladybug-studio.com/~neugens/downloads/fedora/fest/fest-common/fest-common-1.0.11-1.fc15.src.rpm
Description: Parent POM for all FEST Modules
Comment 2 Yanko Kaneti 2012-04-27 07:48:04 EDT
mvn-rpmbuild ?
you are missing some necessary BuildRequires:
Comment 5 Alexander Kurtakov 2012-04-27 08:10:23 EDT
I'll do this one.
Comment 7 Alexander Kurtakov 2012-04-27 10:20:35 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint fest-common-1.0.11-3.fc18.src.rpm

fest-common.src: W: invalid-url Source0: fest-common-1.0.11.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Fine, as there are instructions howto generate the tarball.

rpmlint fest-common-1.0.11-3.fc18.noarch.rpm

fest-common.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Fine as upstream doesn't ship anythign.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[-]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: no-assembly.patch (no-assembly.patch) Patch1: no-site.patch
     (no-site.patch)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[-]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[!]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[-]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
     Note: No javadoc subpackage present
[-]: MUST Javadoc subpackages have Requires: jpackage-utils
[-]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
     Note: No javadoc subpackage present
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Issues:
[!]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
See: https://fedoraproject.org/wiki/Packaging:Java
You need this require as you install in the folder which is owned by jpackage-utils.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
External plugins:
Comment 9 Alexander Kurtakov 2012-04-27 10:35:48 EDT
APPROVED
Comment 10 Mario Torre 2012-04-27 11:17:58 EDT
New Package SCM Request
=======================
Package Name: fest-common 
Short Description: Fixtures for Easy Software Testing
Owners: neugens omajid rkennke jvanalte
Branches: f17
InitialCC: java-spi
Comment 11 Mario Torre 2012-04-27 11:24:13 EDT
New Package SCM Request
=======================
Package Name: fest-common 
Short Description: Fixtures for Easy Software Testing
Owners: neugens omajid rkennke jvanalte
Branches: f17
InitialCC: java-sgi
Comment 12 Mario Torre 2012-04-27 11:24:54 EDT
New Package SCM Request
=======================
Package Name: fest-common 
Short Description: Fixtures for Easy Software Testing
Owners: neugens omajid rkennke jvanalte
Branches: f17
InitialCC: java-sig
Comment 13 Jon Ciesla 2012-04-27 11:44:00 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-04-27 13:01:21 EDT
fest-common-1.0.11-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fest-common-1.0.11-4.fc17
Comment 15 Fedora Update System 2012-04-27 19:36:10 EDT
fest-common-1.0.11-4.fc17 has been pushed to the Fedora 17 testing repository.
Comment 16 Fedora Update System 2012-05-08 00:20:46 EDT
fest-common-1.0.11-4.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.